Summary: A multi-platform helper library for other libraries
Name: gwenhywfar
Version: 2.6.2
Release: 2%{?dist}
Source: http://download.sourceforge.net/gwenhywfar/%{name}-%{version}.tar.gz
Group: System Environment/Libraries
License: LGPLv2+
Patch: gwenhywfar-2.3.0-pkgconfig.patch
Patch2: gwen-open.patch
URL: http://sourceforge.net/projects/gwenhywfar
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: openssl-devel gettext
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and AqBanking/AqHBCI, the German online banking libraries.

%package devel
Summary: Gwenhywfar development kit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
%description devel
This package contains gwenhywfar-config and header files for writing and
compiling programs using Gwenhywfar.


%prep
%setup -q
# Port gwenhywfar-config to pkgconfig
%patch -p1 -b .pkgconfig
%patch2 -p1 -b .open

%build
%configure --disable-static --with-openssl-libs=%{_libdir}
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT -name *.la -exec rm -f {} \;

mkdir -p $RPM_BUILD_ROOT/%{_libdir}/gwenhywfar/include
mv $RPM_BUILD_ROOT/%{_includedir}/gwenhywfar/types.h $RPM_BUILD_ROOT/%{_libdir}/gwenhywfar/include/gwenhywfar-types-target.h

cat > $RPM_BUILD_ROOT/%{_includedir}/gwenhywfar/types.h << EOF
/* Wrapper for target-specific types file. */
#include <gwenhywfar-types-target.h>
EOF

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
%config(noreplace) /etc/gwen-public-ca.crt
%{_libdir}/*.so.*
%{_libdir}/%{name}
%exclude %{_libdir}/%{name}/include
%{_datadir}/locale/*/LC_MESSAGES/gwenhywfar.mo

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/gwenhywfar
%{_libdir}/%{name}/include
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/gwenhywfar.m4

%changelog
* Thu Feb 14 2008 Bill Nottingham <notting@redhat.com> - 2.6.2-2
- rebuild with gcc-4.3

* Tue Jan 15 2008 Bill Nottingham <notting@redhat.com> - 2.6.2-1
- update to 2.6.2

* Wed Dec  5 2007 Bill Nottingham <notting@redhat.com> - 2.6.1-3
- rebuild for new openssl

* Wed Oct 10 2007 Bill Nottingham <notting@redhat.com> - 2.6.1-2
- fix build, rebuild for buildid

* Fri Aug  3 2007 Bill Nottingham <notting@redhat.com>
- tweak license tag

* Wed Jul 11 2007 Bill Nottingham <notting@redhat.com> - 2.6.1-1
- update to 2.6.1

* Mon Jun 11 2007 Bill Nottingham <notting@redhat.com> - 2.6.0-1
- update to 2.6.0

* Mon Mar 19 2007 Bill Nottingham <notting@redhat.com> - 2.5.4-1
- update to 2.5.4

* Thu Feb 22 2007 Bill Nottingham <notting@redhat.com> - 2.3.0-7
- build for Extras

* Wed Jan 10 2007 Bill Nottingham <notting@redhat.com> - 2.3.0-6
- make gwen-public-ca.crt %%config(noreplace)

* Tue Jan  9 2007 Bill Nottingham <notting@redhat.com> - 2.3.0-5
- spec tweaks

* Thu Sep  7 2006 Bill Nottingham <notting@redhat.com> - 2.3.0-4
- rebuild for fixed debuginfo (#205501)

* Tue Sep  5 2006 Bill Nottingham <notting@redhat.com> - 2.3.0-3
- fix multilib conflicts (#205213)

* Fri Jul 14 2006 Bill Nottingham <notting@redhat.com> - 2.3.0-2
- rather than modifying the m4 file, make gwenhywfar-config use pkgconfig

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.3.0-1.1
- rebuild

* Tue Jul 11 2006 Bill Nottingham <notting@redhat.com> - 2.3.0-1
- update to 2.3.0

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.99.2-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.99.2-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Dec 22 2005 Bill Nottingham <notting@redhat.com> 1.99.2-1
- update to 1.99.2
- use the pkgconfig file, not gwenhywfar-config

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov  9 2005 Tomas Mraz <tmraz@redhat.com> 1.7.2-3
- rebuilt against new openssl

* Wed Mar  2 2005 Bill Nottingham <notting@redhat.com> 1.7.2-2
- rebuild against new openssl

* Wed Feb  9 2005 Bill Nottingham <notting@redhat.com> 1.7.2-1
- initial packaging, adopt upstream package
